Skip to navigation

List async embedding tasks

This method returns a list of the async embedding tasks in your account. The platform returns tasks sorted by creation date, with the newest at the top of the list.

Notes
  • Embeddings are stored for seven days.
  • Without the started_at or ended_at query parameters, this method lists tasks created in the last seven days.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Query parameters

started_atstringOptional

Retrieve the embedding tasks that were created at or after the given date and time, expressed in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”).

ended_atstringOptional

Retrieve the embedding tasks that were created at or before the given date and time, expressed in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”).

statusstringOptional

Filter async embedding tasks by their current status.

Values: processing, ready, or failed.

pageintegerOptional>=1Defaults to 1

A number that identifies the page to retrieve.

Default: 1. Min: 1.

page_limitintegerOptional1-50Defaults to 10

The number of items to return on each page.

Default: 10. Min: 1. Max: 50.

Response

A list of async embedding tasks has successfully been retrieved.
datalist of objectsOptional

An array that contains up to page_limit embedding tasks.

page_infoobjectOptional
An object that provides information about pagination.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error